import {
  request
} from "../utils/request";
module.exports = {
  // 获取贺卡列表
  getActivityList: data => request('/card/activity', 'get', data),
  // 获取贺卡详情
  getActivityInfo: data => request(`/card/activity/template/${data}`, 'get'),
  // 获取贺卡作品
  getMyActivity: data => request('/card/activity/my', 'get', data),
  // 保存贺卡
  saveActivity: data => request('/card/activity', 'post', data),
  // 点赞
  thumbsUp: data => request(`/card/activity/like/${data}`, 'get'),
  // 删除作品
  deleteActivity: data => request(`card/activity/delete/${data}`, 'get'),
}